felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pierre De Rop (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (FELIX-4683) Allow to configure the DependencyManager shell scope
Date Sun, 01 Mar 2015 14:32:04 GMT

     [ https://issues.apache.org/jira/browse/FELIX-4683?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Pierre De Rop updated FELIX-4683:
---------------------------------
    Affects Version/s:     (was: dependencymanager.shell-4.0.0)
                       dependencymanager.shell-3.2.0

> Allow to configure the DependencyManager shell scope
> ----------------------------------------------------
>
>                 Key: FELIX-4683
>                 URL: https://issues.apache.org/jira/browse/FELIX-4683
>             Project: Felix
>          Issue Type: Wish
>          Components: Dependency Manager Shell
>    Affects Versions: dependencymanager.shell-3.2.0
>            Reporter: Pierre De Rop
>            Assignee: Pierre De Rop
>            Priority: Minor
>             Fix For: org.apache.felix.dependencymanager-r1
>
>
> When using both DependencyManager 3.2.0 and 4.0.0 in the same jvm framework, there is
a problem when using both shells for the two DM versions, because there is a clash between
the two dm shell commands scope ("dependencymanager").
> So, in order to be able to use both shells (for 3.2.0 and 4.0.0), it should be possible
to configure from the bundle context the name of the scope used by the dm shell.
> For example:
> {code}
> org.apache.felix.dependencymanager.shell.scope=dm4
> {code}
> Then both shell versions could be used in the same framework:
> {code}
> g! help
> dependencymanager:dm
> dm4:dm
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message